Bug 1009714 - Cannot stop server other (than finding the process and kill -9) after starting with DV Installer - no shell or UI is opened to stop the server
Cannot stop server other (than finding the process and kill -9) after startin...
Status: CLOSED WONTFIX
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Productization (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER2
: ---
Assigned To: Julian Coleman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 20:47 EDT by belong
Modified: 2013-12-09 21:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 21:18:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description belong 2013-09-18 20:47:39 EDT
There is no user friendly way of stopping the server after starting it via the DV installer - http://dev138.mw.lab.eng.bos.redhat.com/candidate/dv-6.0.0-ER2/

Steps to Reproduce:
1. Run DV Installer
2. As part of installer options, choose to start server in Standalone Mode
3. Complete installation

Actual results:
There is no user friendly way of stopping the server. There is no "server window" that I can Ctrl-C. There is no shutdown script in /bin. There is no option to stop server instances from within Management Console.

Expected results:
I would expect a shutdown script to be in /bin or an option to stop the server in Management Console.
Comment 2 belong 2013-09-22 22:37:05 EDT
Apart from adding the shutdown script to /bin, I would remove the option to start the server as part of the installation process. I think it is confusing and unnecessary. Let's keep installation as installation only.
Comment 3 Van Halbert 2013-09-23 08:24:24 EDT
I agree on removing the starting of the server from installation.   I think its an unnecessary addition that requires testing and maintenance.
Comment 5 Thomas Hauser 2013-09-24 12:04:28 EDT
I would agree with Van and belong@redhat.com. This feature is an artifact from old EAP installers, and was never addressed. Once we get confirmation regarding this feature, it can be removed easily.
Comment 9 Van Halbert 2013-11-05 21:18:56 EST
The start options have been removed from the installer in ER3.

Note You need to log in before you can comment on or make changes to this bug.